/*
 * Copyright (c) Huawei Technologies Co., Ltd. 2020-2024. All rights reserved.
 */

#ifndef NEWCAN_IMPL_TYPE_PENDINGSIGNALS2_H
#define NEWCAN_IMPL_TYPE_PENDINGSIGNALS2_H

#include "impl_type_uint8.h"
namespace newcan {
enum class PendingSignals2 : UInt8
{
    NONE = 0,
    AUTO_PILOT_AVAILABLE = 1,
    ADS_EPS_ANGLE_REQ_ST = 2,
    ADS_LONGITUD_CTRL_ACCEL_CTRL_REQ = 3,
    ADS_LONGITUD_CTRL_DEC_TO_STOP_REQ = 4,
    ADS_LONGITUD_CTRL_TARGET_ACCEL = 5,
    ADS_LONGITUD_CTRL_DRIVE_OFF = 6,
    ADS_SHIFT_GEAR_REQ = 7,
    ADS_SHIFT_GEAR_POS_REQ = 8,
    ADS_PILOT_SYS_STATE = 9,
    ADS_EPS_ANGLE_REQ = 10,
    ADS_EPB_REQ = 11,
    ROLLING_COUNTER_0X10B = 12,
    CHECK_SUM_0X10B = 13,
    HEAD_LAMP_REQ = 14,
    HONKING_REQ = 15,
    LANE_CHANGE_INFOR = 16,
    ADS_ALC_DIRECTION = 17,
    ADS_TAKE_OVER_STATUS = 18,
    ADC_INNER_TEMP = 19,
    ROLLING_COUNTER_0X3A6 = 20,
    CHECKSUM_0X3A6 = 21,
    VEH_DYN_LONG_ACC = 22,
    VEH_DYN_LAT_ACC = 23,
    VEH_DYN_YAW_RATE = 24,
    VEH_DYN_LONG_ACC_VALID = 25,
    VEH_DYN_LAT_ACC_VALID = 26,
    VEH_DYN_YAW_RATE_VALID = 27,
    YAW_RATE_CAL_STS = 28,
    ROLLING_COUNTER_0X2C5 = 29,
    CHECKSUM_0X2C5 = 30
};
} // namespace newcan


#endif // NEWCAN_IMPL_TYPE_PENDINGSIGNALS2_H
